Package org.eclipse.birt.chart.script.api.series

# Interface IPie

All Superinterfaces:
  `IValueSeries`

public interface IPie extends IValueSeries
Represents Pie series of a Chart in the scripting environment

## Method Summary

Modifier and Type
Method
Description
`String`
`getExplosionExpr()`
Gets the expression that will be used to query when the slice explodes
`double`
`getMinSlice()`
Gets the minimum value that will be included in Min Slice
`String`
`getMinSliceLabel()`
Gets the label of Min slice
`void`
`setExplosionExpr(String expr)`
Sets the expression that will be used to query when the slice explodes
`void`
`setMinSlice(double value)`
Sets the minimum value that will be included in Min Slice
`void`
`setMinSliceLabel(String label)`
Sets the label of Min slice

### Methods inherited from interface org.eclipse.birt.chart.script.api.component.IValueSeries

`getAction, getAggregateExpr, getDataExpr, getTitle, isPercent, isVisible, setAggregateExpr, setPercent, setTitle, setVisible`

## Method Details

### getMinSlice

double getMinSlice()
Gets the minimum value that will be included in Min Slice

Returns:
  the minimum value

### setMinSlice

void setMinSlice(double value)
Sets the minimum value that will be included in Min Slice

Parameters:
  `value` - the minimum value

### getMinSliceLabel

String getMinSliceLabel()
Gets the label of Min slice

Returns:
  label

### setMinSliceLabel

void setMinSliceLabel(String label)
Sets the label of Min slice

Parameters:
  `label` - label

### getExplosionExpr

String getExplosionExpr()
Gets the expression that will be used to query when the slice explodes

Returns:
  the expression

### setExplosionExpr

void setExplosionExpr(String expr)
Sets the expression that will be used to query when the slice explodes

Parameters:
  `expr` - the expression